Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Returns the PIN for a given card.
cURL
curl --request GET \ --url 'https://api.equalsmoney.com/v2/cards/{cardId}/pin?accountId={{accountId}}&personId={{personId}}&cardholderVerificationMethod={{cardholderVerificationMethod}}' \ --header 'Authorization: <api-key>'
import requests url = "https://api.equalsmoney.com/v2/cards/{cardId}/pin" headers = {"Authorization": "<api-key>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}}; fetch('https://api.equalsmoney.com/v2/cards/{cardId}/pin', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.equalsmoney.com/v2/cards/{cardId}/pin", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: <api-key>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.equalsmoney.com/v2/cards/{cardId}/pin" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "<api-key>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://api.equalsmoney.com/v2/cards/{cardId}/pin") .header("Authorization", "<api-key>") .asString();
require 'uri' require 'net/http' url = URI("https://api.equalsmoney.com/v2/cards/{cardId}/pin") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '<api-key>' response = http.request(request) puts response.read_body
{ "pin": "1111" }
The ID of the card to work with.
36
"e9293471-5eb3-4dbc-916c-dbaf9e2deefd"
The ID of the account to work with.
"F50091"
The ID of the person to work with.
"775596ae-2624-40af-a9dc-9756110a4a04"
The supplemental method used to verify the cardholder’s identity before revealing the card’s PIN.
BIOMETRIC_FACE
BIOMETRIC_FINGERPRINT
LOGIN
OTP
"BIOMETRIC_FACE"
The MFA session id.
"c92e2960-b745-4b38-8e77-898b2f9ad9bb"
The security token e.g. MFA code.
"123456"
OK
the PIN of the card.
4
^\d+$
"1111"
Was this page helpful?